import { type FzfResultItem } from 'fzf';
import { type SyncOptsToUse } from 'fzf/dist/types/finders';
import { type FzfHighlightProps } from './FzfHighlight';
export declare function useFzf<TItem>({ items, itemToString, query, ...fzfOptions }: UseFzfOptions<TItem>): UseFzfResults<TItem>;
export declare type UseFzfOptions<TItem> = {
    items: TItem[];
    query: string;
} & SyncOptsToUse<TItem> & ([TItem] extends [string] ? {
    itemToString?: ItemToString<TItem>;
} : {
    itemToString: ItemToString<TItem>;
});
export interface UseFzfResults<TItem> {
    getFzfHighlightProps: (props: {
        index?: number;
        item: TItem;
    } & Omit<FzfHighlightProps<TItem>, 'highlight'>) => FzfHighlightProps<TItem>;
    results: TItem[];
}
export declare type UseFzfHighlight<TItem> = FzfResultItem<TItem> & {
    characters: string[];
};
declare type ItemToString<TItem> = (item: TItem) => string;
export {};
